

<?php

// Import PHPMailer classes into the global namespace
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Load Composer's autoloader
require 'vendor/autoload.php';

// Set headers for JSON response
header('Content-Type: application/json');

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the raw POST data
    $input = file_get_contents('php://input');
    $data = json_decode($input, true);

    // Validate input data
    if (empty($data['to']) || empty($data['subject']) || empty($data['name']) || empty($data['username']) || empty($data['password'])) {
        http_response_code(400); // Bad Request
        echo json_encode(['error' => 'All fields (to, subject, name, username, password) are required.']);
        exit;
    }

    // Extract data
    $to = $data['to'];
    $subject = $data['subject'];
    $name = $data['name'];
    $username = $data['username'];
    $password = $data['password'];

    // Load the email template
    $template = file_get_contents('email_template.html');

    // Replace placeholders with actual data
    $template = str_replace('{{name}}', $name, $template);
    $template = str_replace('{{username}}', $username, $template);
    $template = str_replace('{{password}}', $password, $template);

    // Create a new PHPMailer instance
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host = 'mail.omnibsicwifi.net'; // Outgoing Server
        $mail->SMTPAuth = true;
        $mail->Username = 'freewifi@omnibsicwifi.net'; // SMTP username
        $mail->Password = 'OmniBsicLoca@25'; // SMTP password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS; // Enable SSL encryption
        $mail->Port = 465; // SMTP Port

        // Recipients
        $mail->setFrom('freewifi@omnibsicwifi.net', 'omnibsicwifi');
        $mail->addAddress($to); // Add a recipient

        // Content
        $mail->isHTML(true); // Set email format to HTML
        $mail->Subject = $subject;
        $mail->Body    = $template;
        $mail->AltBody = "Hello $name,\n\nYour account has been created.\nUsername: $username\nPassword: $password\n\nPlease keep your credentials secure.";

        // Send the email
        $mail->send();

        // Success response
        http_response_code(200); // OK
        echo json_encode(['success' => 'Email has been sent successfully.']);
    } catch (Exception $e) {
        // Error response
        http_response_code(500); // Internal Server Error
        echo json_encode(['error' => "Message could not be sent. Mailer Error: {$mail->ErrorInfo}"]);
    }
} else {
    // Method not allowed
    http_response_code(405); // Method Not Allowed
    echo json_encode(['error' => 'Only POST requests are allowed.']);
}






